Subject: bug#1319: Change in where-is-internal causing describe-key problems

From: martin rudalics <[email-masked]>
Date: Tue, 11 Nov 2008 13:40:39 +0100

> I saw that, but I thought it was more likely to be a cheap early
 > out than a test that was ever meant to be bulletproof.

Maybe you were right in thinking so, I don't know.

 > This code later in the describe-function-1 should handle the case
 > where that test fails but there are many keys bound to
 > self-insert-command:
 >
 >   (when keys
 >     (princ (if remapped ", which is bound to " "It is bound to "))
 >     ;; If lots of ordinary text characters run this command,
 >     ;; don't mention them one by one.
 >     (if (< (length non-modified-keys) 10)
 >         (princ (mapconcat 'key-description keys ", "))
 >       (dolist (key non-modified-keys)
 >         (setq keys (delq key keys)))
 >       (if keys
 >           (progn
 >             (princ (mapconcat 'key-description keys ", "))
 >             (princ ", and many ordinary text characters"))
 >         (princ "many ordinary text characters"))))
 >
 > And indeed in 22.2, it does. But the aforementioned change in
 > where-is-internal breaks it.

What precisely was the change in `where-is-internal' that broke it?

martin